Bug 167509 - invalid encoding of file names is handled badly
invalid encoding of file names is handled badly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-03 15:58 EDT by Paul Johnson
Modified: 2015-03-03 17:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 15:15:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Johnson 2005-09-03 15:58:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Nautilus inserts (invalid encoding) into the file name of files that have non utf8 file names.  I have files shipped from other OS and they use various accents for e  and u and it is bad enough that nautilus can't translate them, but it is really horrible that when I use nautilus to change the characters, then the file name is changed so that (invalid encoding) is on the end, even after I fixed the encoding.

I just cut the accent characters and replace with ascii equivalents because I can't figure how to put accented characters into file names with nautilus.

Version-Release number of selected component (if applicable):
nautilus-2.10.0-4

How reproducible:
Always

Steps to Reproduce:
1. Get some file with an invalid utf8 name
2. Use nautilus to change the invalid character
3.
  

Additional info:
Comment 1 Christian Iseli 2007-01-22 05:43:56 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-02-28 15:15:53 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.